/*-------------------------------------------------------------------------+
| Copyright 2016 fortiss GmbH                                              |
|                                                                          |
| Licensed under the Apache License, Version 2.0 (the "License");          |
| you may not use this file except in compliance with the License.         |
| You may obtain a copy of the License at                                  |
|                                                                          |
|    http://www.apache.org/licenses/LICENSE-2.0                            |
|                                                                          |
| Unless required by applicable law or agreed to in writing, software      |
| distributed under the License is distributed on an "AS IS" BASIS,        |
| WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. |
| See the License for the specific language governing permissions and      |
| limitations under the License.                                           |
+--------------------------------------------------------------------------*/
package org.fortiss.tooling.kernel.ui.internal.introspection.details;

import org.eclipse.swt.custom.ScrolledComposite;
import org.eclipse.swt.widgets.Control;
import org.fortiss.tooling.kernel.introspection.IIntrospectionDetailsItem;
import org.fortiss.tooling.kernel.introspection.IIntrospectiveKernelService;
import org.fortiss.tooling.kernel.introspection.KernelIntrospectionSystemService;

/**
 * Base class for factory implementations of the details view of the
 * {@link KernelIntrospectionSystemService} GUI.
 * 
 * @author hoelzl
 */
public abstract class DetailsUIHandlerBase {

	/** The {@link IIntrospectionDetailsItem data item}. */
	protected IIntrospectiveKernelService service;
	/** The {@link IIntrospectionDetailsItem data item}. */
	protected IIntrospectionDetailsItem dataItem;

	/** Sets the data item. */
	public final void setDataItem(IIntrospectionDetailsItem dataItem) {
		this.dataItem = dataItem;
	}

	/** Sets the service. */
	public final void setService(IIntrospectiveKernelService service) {
		this.service = service;
	}

	/** Creates the control within the given parent scrolled composite. */
	public abstract Control createComposite(ScrolledComposite parent);
}
