/*-------------------------------------------------------------------------+
| Copyright 2011 fortiss GmbH                                              |
|                                                                          |
| Licensed under the Apache License, Version 2.0 (the "License");          |
| you may not use this file except in compliance with the License.         |
| You may obtain a copy of the License at                                  |
|                                                                          |
|    http://www.apache.org/licenses/LICENSE-2.0                            |
|                                                                          |
| Unless required by applicable law or agreed to in writing, software      |
| distributed under the License is distributed on an "AS IS" BASIS,        |
| WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. |
| See the License for the specific language governing permissions and      |
| limitations under the License.                                           |
+--------------------------------------------------------------------------*/
package org.fortiss.tooling.kernel.extension.data;

import org.eclipse.emf.ecore.EObject;
import org.fortiss.tooling.kernel.extension.base.TransformationContextChainBase;

/**
 * An {@link ITransformationContext} with an EObject context element.
 * 
 * @author hoelzl
 */
public class ModelElementTransformationContext extends TransformationContextChainBase {

	/** Stores the model element. */
	protected final EObject modelElement;

	/** Constructor. */
	public ModelElementTransformationContext(EObject modelElement, ITransformationContext context) {
		super(context);
		this.modelElement = modelElement;
	}

	/** Constructor. */
	public ModelElementTransformationContext(EObject modelElement) {
		this(modelElement, null);
	}

	/** Returns the model element. */
	public EObject getModelElement() {
		return modelElement;
	}
}
