/*******************************************************************************
 * Copyright (c) 2011, 2018 fortiss GmbH.
 * 
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License v2.0 which is available at
 * http://www.eclipse.org/legal/epl-v20.html
 * 
 * SPDX-License-Identifier: EPL-2.0
 *
 * Contributors:
 *     Florian Hoelzl (fortiss GmbH) - initial implementation
 *
 *******************************************************************************/
package org.eclipse.systemfocus.internal.kernel.common.ui;

import org.eclipse.core.runtime.Plugin;
import org.osgi.framework.BundleContext;

/** Activator class for the tooling kernel commons UI plugin. */
public final class Activator extends Plugin {
	/** The plug-in ID. */
	public static final String PLUGIN_ID = "org.eclipse.systemfocus.kernel.common.ui";

	/** The shared instance. */
	private static Activator plugin;

	/** {@inheritDoc} */
	@Override
	public void start(BundleContext context) throws Exception {
		super.start(context);
		plugin = this;
		System.out.println("[Plugin] " + PLUGIN_ID + " started.");
	}

	/** {@inheritDoc} */
	@Override
	public void stop(BundleContext context) throws Exception {
		plugin = null;
		super.stop(context);
	}

	/** Returns the shared instance. */
	public static Activator getDefault() {
		return plugin;
	}
}
