/*******************************************************************************
 * Copyright (c) 2016, 2018 fortiss GmbH. 
 * 
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License v2.0 which is available at
 * http://www.eclipse.org/legal/epl-v20.html
 * 
 * SPDX-License-Identifier: EPL-2.0
 * 
 * Contributors:
 *     Florian Hoelzl (fortiss GmbH) - initial implementation
 *
 *******************************************************************************/
package org.eclipse.systemfocus.kernel.common.ui.javafx.lwfxef.mvc;

import org.eclipse.systemfocus.kernel.common.ui.javafx.lwfxef.visual.ILinkVisual;

/** Interface for directed links anchored to {@link IAnchorageMVCBundle}s. */
public interface ILinkMVCBundle extends IMVCBundle {
	/** Returns the parent {@link IDiagramMVCBundle}. */
	IDiagramMVCBundle getDiagramMVCBundle();

	/** Returns the start anchorage of this link. */
	IAnchorageMVCBundle getStartAnchorage();

	/** Returns the end anchorage of this link. */
	IAnchorageMVCBundle getEndAnchorage();

	/** Returns the visual. */
	@Override
	ILinkVisual getVisual();

	/** Updates the {@link ILinkMVCBundle}'s start and end anchorages. */
	void updateLinkBundle(IAnchorageMVCBundle start, IAnchorageMVCBundle end);
}
