/*******************************************************************************
 * Copyright (c) 2016, 2018 fortiss GmbH. 
 * 
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License v2.0 which is available at
 * http://www.eclipse.org/legal/epl-v20.html
 * 
 * SPDX-License-Identifier: EPL-2.0
 * 
 * Contributors:
 *     Florian Hoelzl (fortiss GmbH) - initial implementation
 *
 *******************************************************************************/
package org.eclipse.systemfocus.kernel.common.ui.javafx.lwfxef.mvc.impl;

import org.eclipse.systemfocus.kernel.common.ui.javafx.lwfxef.DiagramViewer;
import org.eclipse.systemfocus.kernel.common.ui.javafx.lwfxef.mvc.IContentAnchorageMVCBundle;
import org.eclipse.systemfocus.kernel.common.ui.javafx.lwfxef.mvc.IContentMVCBundle;
import org.eclipse.systemfocus.kernel.common.ui.javafx.lwfxef.visual.IContentAnchorageVisual;

/** Implementation of {@link IContentAnchorageMVCBundle}. */
public final class ContentAnchorageMVCBundle extends AnchorageMVCBundleBase
		implements IContentAnchorageMVCBundle {
	/** Constructor. */
	public ContentAnchorageMVCBundle(Object m, IContentMVCBundle attachedTo, DiagramViewer v) {
		super(m, attachedTo, v);
		attachedTo.getAnchorages().add(this);
	}

	/** {@inheritDoc} */
	@Override
	public void remove() {
		getAttachedTo().getAnchorages().remove(this);
	}

	/** {@inheritDoc} */
	@Override
	public IContentMVCBundle getAttachedTo() {
		// wild cast works: see constructor
		return (IContentMVCBundle)super.getAttachedTo();
	}

	/** {@inheritDoc} */
	@Override
	public IContentAnchorageVisual getVisual() {
		return (IContentAnchorageVisual)super.getVisual();
	}
}
