/*******************************************************************************
 * Copyright (c) 2016, 2018 fortiss GmbH. 
 * 
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License v2.0 which is available at
 * http://www.eclipse.org/legal/epl-v20.html
 * 
 * SPDX-License-Identifier: EPL-2.0
 * 
 * Contributors:
 *     Florian Hoelzl (fortiss GmbH) - initial implementation
 *
 *******************************************************************************/
package org.eclipse.systemfocus.kernel.common.ui.javafx.lwfxef.mvc.impl;

import org.eclipse.systemfocus.kernel.common.ui.javafx.lwfxef.DiagramViewer;
import org.eclipse.systemfocus.kernel.common.ui.javafx.lwfxef.mvc.IContentAnchorageMVCBundle;
import org.eclipse.systemfocus.kernel.common.ui.javafx.lwfxef.mvc.IDiagramAnchorageMVCBundle;
import org.eclipse.systemfocus.kernel.common.ui.javafx.lwfxef.mvc.IDiagramMVCBundle;
import org.eclipse.systemfocus.kernel.common.ui.javafx.lwfxef.visual.IDiagramAnchorageVisual;

/** Implementation of {@link IContentAnchorageMVCBundle}. */
public final class DiagramAnchorageMVCBundle extends AnchorageMVCBundleBase
		implements IDiagramAnchorageMVCBundle {

	/** Constructor. */
	public DiagramAnchorageMVCBundle(Object m, IDiagramMVCBundle attachedTo, DiagramViewer v) {
		super(m, attachedTo, v);
		attachedTo.getAnchorages().add(this);
	}

	/** {@inheritDoc} */
	@Override
	public void remove() {
		getAttachedTo().getAnchorages().remove(this);
	}

	/** {@inheritDoc} */
	@Override
	public IDiagramMVCBundle getAttachedTo() {
		// wild cast works: see constructor
		return (IDiagramMVCBundle)super.getAttachedTo();
	}

	/** {@inheritDoc} */
	@Override
	public IDiagramAnchorageVisual getVisual() {
		return (IDiagramAnchorageVisual)super.getVisual();
	}
}
