/*******************************************************************************
 * Copyright (c) 2016, 2018 fortiss GmbH. 
 * 
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License v2.0 which is available at
 * http://www.eclipse.org/legal/epl-v20.html
 * 
 * SPDX-License-Identifier: EPL-2.0
 * 
 * Contributors:
 *     Florian Hoelzl (fortiss GmbH) - initial implementation
 *
 *******************************************************************************/
package org.eclipse.systemfocus.kernel.common.ui.javafx.lwfxef.visual;

import org.eclipse.systemfocus.kernel.common.ui.javafx.lwfxef.model.layout.ILayout;

/** Interface for anchorage visuals which stick to a content node in the diagram. */
public interface IContentAnchorageVisual extends IAnchorageVisual {
	/**
	 * Returns the layout information for this content anchorage. Callers must provide an actual
	 * type of the requested layout information.
	 */
	<T extends ILayout> T getLayout(Class<T> type);

	/**
	 * Returns whether sibling anchorage visuals (i.e. those attached to the same content visual as
	 * this anchorage visual) should be updated when this visual is hovered over by the mouse
	 * pointer. The default is {@code false}.
	 * 
	 * @see IContentVisual#updateAttachedAnchorageVisualsOnHover()
	 */
	boolean updateSiblingAnchorageVisualsOnHover();
}
