/*******************************************************************************
 * Copyright (c) 2017, 2018 fortiss GmbH. 
 * 
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License v2.0 which is available at
 * http://www.eclipse.org/legal/epl-v20.html
 * 
 * SPDX-License-Identifier: EPL-2.0
 * 
 * Contributors:
 *     Florian Hoelzl (fortiss GmbH) - initial implementation
 *
 *******************************************************************************/
package org.eclipse.systemfocus.kernel.common.ui.javafx.mesh;

import javafx.geometry.Point2D;

/** Class representing a 2D texture (u,v) coordinate. */
public final class Texture2D extends Point2D {
	/** Constructor. */
	public Texture2D(double u, double v) {
		super(u, v);
	}

	/** Returns the U component. */
	public double getU() {
		return getX();
	}

	/** Returns the V component. */
	public double getV() {
		return getY();
	}
}
